import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GEAbschlussFach extends JavaObject {
    kuerzel: String | null;
    bezeichnung: String | null;
    note: number;
    istFremdsprache: Boolean | null;
    kursart: String | null;
    ausgleich: Boolean | null;
    ausgeglichen: Boolean | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GEAbschlussFach;
    static transpilerToJSON(obj: GEAbschlussFach): string;
    static transpilerToJSONPatch(obj: Partial<GEAbschlussFach>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_abschluss_GEAbschlussFach(obj: unknown): GEAbschlussFach;
